org.jboss.jca.as.converters.wls.api.metadata

## Interface ConnectionDefinitionProperties

- All Superinterfaces:
    java.io.Serializable, WlsMetadata
  All Known Implementing Classes:
    ConnectionDefinitionPropertiesImpl

      public interface ConnectionDefinitionProperties
      extends WlsMetadata

  A generic ConnectionDefinitionProperties.
  Author:
    Jeff Zhang

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConnectionDefinitionProperties.Attribute` A Attribute.
    `static class` | `ConnectionDefinitionProperties.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthenticationMechanism()` getAuthenticationMechanism
    `Logging` | `getLogging()` getLogging
    `PoolParams` | `getPoolParams()` getPoolParams
    `ConfigProperties` | `getProperties()` getProperties
    `java.lang.Boolean` | `getReauthenticationSupport()` getReauthenticationSupport
    `java.lang.String` | `getResAuth()` getResAuth
    `TransactionSupport` | `getTransactionSupport()` getTransactionSupport

- - ### Method Detail

    - #### getPoolParams

          PoolParams getPoolParams()

      getPoolParams
      Returns:
        the PoolParams

    - #### getLogging

          Logging getLogging()

      getLogging
      Returns:
        the Logging

    - #### getTransactionSupport

          TransactionSupport getTransactionSupport()

      getTransactionSupport
      Returns:
        the transactionSupport

    - #### getAuthenticationMechanism

          java.lang.String getAuthenticationMechanism()

      getAuthenticationMechanism
      Returns:
        the AuthenticationMechanism

    - #### getReauthenticationSupport

          java.lang.Boolean getReauthenticationSupport()

      getReauthenticationSupport
      Returns:
        bool ReauthenticationSupport

    - #### getProperties

          ConfigProperties getProperties()

      getProperties
      Returns:
        the ConfigProperties

    - #### getResAuth

          java.lang.String getResAuth()

      getResAuth
      Returns:
        the ResAuth

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)